if File.executable?("/usr/bin/esd") then
    require 'gnome2'

    Gnome::Sound.init('localhost')

    class Sound
      def self.play(fn)
	      Gnome::Sound.play(fn)
      end
    end
else
    puts "esound not found, disabling sound support"

    class Sound
      def self.play(fn)
      end
    end
end
