require 'drb'
require 'rinda/ring'
require 'rinda/tuplespace'
require 'zlib'

class ScottyTNG
  attr_reader :views, :graphs

  def self.initTS
    @@ts = Rinda::TupleSpace.new
  end

  def self.getTS
    return @@ts
  end

  def initialize()
    DRb.start_service nil, "druby://0.0.0.0"
    puts DRb.uri

    # Start RingServer
    Rinda::RingServer.new ScottyTNG.getTS

    @@ts.write [:ScottyTNGd, `hostname`.chomp, Zlib::Deflate.deflate(IO.read("config/views.xml"), Zlib::BEST_COMPRESSION)]

    # Provide a tuple
#    provider = Rinda::RingProvider.new :ScottyTNG, Views.provideViews(@@ts), "Scotty TNG on " + `hostname`
#    provider.provide
  end
end

ScottyTNG.initTS
