require 'dringld.rb'

class RingList
    attr_reader :node, :sensor, :title, :maxsize, :maxprobe, :id

    def initialize(node, sensor, name, options)
	@node = node
	@sensor = sensor
	@name = name
	@title = title
	@maxsize = maxsize
	@id = node.name + "-" + name
	@maxprobe = 0
	
	node.ringlists[name] = self
	options['hostname'] = node.name
	
	@rl = DRingLD.create(ScottyTNG.getTS, @id, options) {|idx| 0}
    end

    def pushProbe(value)
	@rl.push(value)
    end
end
